uudoc(1)

NAME
uudoc - Print user and group information for each specified USER, or (when USER omitted) for the current user.

SYNOPSIS
uudoc [-a|--ignore] [-A ] [-u|--user] [-g|--group] [-G|--groups] [-p ] [-n|--name] [-P ] [-r|--real] [-z|--zero] [-Z|--context] [-h|--help] [-V|--version] [USER]

DESCRIPTION
Print user and group information for each specified USER, or (when USER omitted) for the current user.

OPTIONS

-a, --ignore
    ignore, for compatibility with other versions

-A  Display the process audit user ID and other process audit properties, which requires privilege (not available on Linux).

-u, --user
    Display only the effective user ID as a number.

-g, --group
    Display only the effective group ID as a number

-G, --groups
    Display only the different group IDs as white-space separated numbers, in no particular order.

-p  Make the output human-readable. Each display is on a separate line.

-n, --name
    Display the name of the user or group ID for the -G, -g and -u options instead of the number. If any of the ID numbers cannot be mapped into names, the number will be displayed as usual.

-P  Display the id as a password file entry.

-r, --real
    Display the real ID for the -G, -g and -u options instead of the effective ID.

-z, --zero
    delimit entries with NUL characters, not whitespace; not permitted in default format

-Z, --context
    print only the security context of the process (not enabled)

-h, --help
    Print help

-V, --version
    Print version

[USER]

EXTRA
Examples Display current user's ID (UID), group ID (GID) and groups to which they belong: id Display the current user identity: id {{[-un|--user --name]}} Display the current user identity as a number: id {{[-u|--user]}} Display the current primary group identity: id {{[-gn|--group --name]}} Display the current primary group identity as a number: id {{[-g|--group]}} Display all groups the current user belongs to: id {{[-Gn|--groups --name]}} Display an arbitrary user's ID (UID), group ID (GID) and groups to which they belong: id {{username}} Skip name lookup and specify the UID number explicitly: id +{{uid_number}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0